import { EventEmitter, OnDestroy } from '@angular/core';
import { DeliveryPlanningService } from './service/delivery-planning.service';
import { DeliveryPlanningViewModes } from '../../enum/delivery-planning-view-modes.enum';
import { CalendarView } from '@colijnit/sharedcomponents';
import { DeliveryPlanningModes } from '../../enum/delivery-planning-modes.enum';
export declare class DeliveryPlanningComponent implements OnDestroy {
    private _deliveryPlanningService;
    readonly viewModes: typeof DeliveryPlanningViewModes;
    set employeeView(value: boolean);
    set relationId(id: number);
    set triptychMode(value: boolean);
    set currentPlanningViewMode(mode: DeliveryPlanningViewModes);
    set currentPlanningMode(mode: DeliveryPlanningModes);
    set calendarViewMode(mode: CalendarView);
    fullscreenEvent: EventEmitter<void>;
    get currentPlanningViewMode(): DeliveryPlanningViewModes;
    showClass(): boolean;
    constructor(_deliveryPlanningService: DeliveryPlanningService);
    ngOnDestroy(): void;
    fullscreenToggle(): void;
}
